> ## Documentation Index
> Fetch the complete documentation index at: https://uafilms.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> How to work with UAFilms API

<Note>
  Base API URL: **[https://bfilms.aartzz.pp.ua](https://bfilms.aartzz.pp.ua)**
</Note>

<Warning>
  pls cache parser responses, or angry admin will ban your token
</Warning>

## Authorization

You need API key to parse streams. To get it, go to telegram bot [@films\_aartzz\_bot](https://t.me/films_aartzz_bot)

### Transferring the key

We have several ways to pass the key:

**А: header `x-api-key`.**

```http theme={null}
GET /api/home HTTP/1.1
Host: bfilms.aartzz.pp.ua
x-api-key: YOUR_SECRET_KEY

```

**B: GET-parameter**

```http theme={null}
GET /api/home?token=0.xxxxxxx.xxxxxxx

```
